public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/podman/
Date: Wed, 13 Oct 2021 03:57:45 +0000 (UTC)	[thread overview]
Message-ID: <1634097461.6e9c5d6021132e680208d532cdfce2e72f3120b4.zmedico@gentoo> (raw)

commit:     6e9c5d6021132e680208d532cdfce2e72f3120b4
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 13 03:56:12 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Wed Oct 13 03:57:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e9c5d60

app-emulation/podman: Bump to version 3.4.0

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/podman/Manifest            |   1 +
 app-emulation/podman/podman-3.4.0.ebuild | 164 +++++++++++++++++++++++++++++++
 2 files changed, 165 insertions(+)

diff --git a/app-emulation/podman/Manifest b/app-emulation/podman/Manifest
index 6d43cfe945f..0dd22e79044 100644
--- a/app-emulation/podman/Manifest
+++ b/app-emulation/podman/Manifest
@@ -1 +1,2 @@
 DIST podman-3.3.1.tar.gz 10917305 BLAKE2B fe7856c2ad8893e40ec42fb242a088794ea18910388d5e8089885013cab45c98e03bef99a5e911749f95ce469518e6fa5b6d30400f52696645c9ba8c140ba445 SHA512 19003f63c17c1c5788f34d0d6426a366035fc76aa2312e6355464d204d6536e5f78652abaf01643d4be7c2ee5224c25717b41760a4be4f6de8031cca9b06efaa
+DIST podman-3.4.0.tar.gz 10950594 BLAKE2B 4a96b9be980f336bc7cfa6efa0f955da90b67e1ff3e45c34097b9eb4fcd611b3454860048410238aeb1063331b246e9c156f738813e7f585d2254a1568d20642 SHA512 195354b15beaaed19b4d5f71f5dbfcd1ebfc5c80c07db91043b76e3254d62b5fd001c52c536773656e5eba65954511c1639a50b955a9992fa4d18a55e573c2a1

diff --git a/app-emulation/podman/podman-3.4.0.ebuild b/app-emulation/podman/podman-3.4.0.ebuild
new file mode 100644
index 00000000000..2b32a24eb19
--- /dev/null
+++ b/app-emulation/podman/podman-3.4.0.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+EGIT_COMMIT="6e8de00bb224f9931d7402648f0177e7357ed079"
+
+inherit bash-completion-r1 flag-o-matic go-module tmpfiles
+
+DESCRIPTION="Library and podman tool for running OCI-based containers in Pods"
+HOMEPAGE="https://github.com/containers/podman/"
+MY_PN=podman
+MY_P=${MY_PN}-${PV}
+SRC_URI="https://github.com/containers/podman/archive/v${PV}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT MPL-2.0"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+IUSE="apparmor btrfs +fuse +rootless selinux"
+RESTRICT+=" test"
+
+COMMON_DEPEND="
+	app-crypt/gpgme:=
+	>=app-emulation/conmon-2.0.0
+	|| ( >=app-emulation/runc-1.0.0_rc6 app-emulation/crun )
+	dev-libs/libassuan:=
+	dev-libs/libgpg-error:=
+	>=net-misc/cni-plugins-0.8.6
+	sys-fs/lvm2
+	sys-libs/libseccomp:=
+
+	apparmor? ( sys-libs/libapparmor )
+	btrfs? ( sys-fs/btrfs-progs )
+	rootless? ( app-emulation/slirp4netns )
+	selinux? ( sys-libs/libselinux:= )
+"
+DEPEND="
+	${COMMON_DEPEND}
+	dev-go/go-md2man"
+RDEPEND="${COMMON_DEPEND}
+	fuse? ( sys-fs/fuse-overlayfs )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+	default
+
+	# Disable installation of python modules here, since those are
+	# installed by separate ebuilds.
+	local makefile_sed_args=(
+		-e '/^GIT_.*/d'
+		-e 's/$(GO) build/$(GO) build -v -work -x/'
+		-e 's/^\(install:.*\) install\.python$/\1/'
+		-e 's|^pkg/varlink/iopodman.go: .gopathok pkg/varlink/io.podman.varlink$|pkg/varlink/iopodman.go: pkg/varlink/io.podman.varlink|'
+	)
+
+	has_version -b '>=dev-lang/go-1.13.9' || makefile_sed_args+=(-e 's:GO111MODULE=off:GO111MODULE=on:')
+
+	sed "${makefile_sed_args[@]}" -i Makefile || die
+
+	sed -e 's|OUTPUT="${CIRRUS_TAG:.*|OUTPUT='v${PV}'|' \
+		-i hack/get_release_info.sh || die
+}
+
+src_compile() {
+	local git_commiT=${EGIT_COMMIT}
+
+	# Filter unsupported linker flags
+	filter-flags '-Wl,*'
+
+	[[ -f hack/apparmor_tag.sh ]] || die
+	if use apparmor; then
+		echo -e "#!/bin/sh\necho apparmor" > hack/apparmor_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/apparmor_tag.sh || die
+	fi
+
+	[[ -f hack/btrfs_installed_tag.sh ]] || die
+	if use btrfs; then
+		echo -e "#!/bin/sh\ntrue" > hack/btrfs_installed_tag.sh || die
+	else
+		echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+			hack/btrfs_installed_tag.sh || die
+	fi
+
+	[[ -f hack/selinux_tag.sh ]] || die
+	if use selinux; then
+		echo -e "#!/bin/sh\necho selinux" > hack/selinux_tag.sh || die
+	else
+		echo -e "#!/bin/sh\ntrue" > hack/selinux_tag.sh || die
+	fi
+
+	# Avoid this error when generating pkg/varlink/iopodman.go:
+	# cannot find package "github.com/varlink/go/varlink/idl"
+	mkdir -p _output || die
+	ln -snf ../vendor _output/src || die
+	GO111MODULE=off GOPATH=${PWD}/_output go generate ./pkg/varlink/... || die
+	rm _output/src || die
+
+	export -n GOCACHE GOPATH XDG_CACHE_HOME
+	GOBIN="${S}/bin" \
+		emake all \
+			GIT_BRANCH=master \
+			GIT_BRANCH_CLEAN=master \
+			COMMIT_NO="${git_commit}" \
+			GIT_COMMIT="${git_commit}"
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+
+	insinto /etc/containers
+	newins test/registries.conf registries.conf.example
+	newins test/policy.json policy.json.example
+
+	insinto /usr/share/containers
+	doins vendor/github.com/containers/common/pkg/seccomp/seccomp.json
+
+	newconfd "${FILESDIR}"/podman.confd podman
+	newinitd "${FILESDIR}"/podman.initd podman
+
+	insinto /etc/logrotate.d
+	newins "${FILESDIR}/podman.logrotated" podman
+
+	dobashcomp completions/bash/*
+
+	insinto /usr/share/zsh/site-functions
+	doins completions/zsh/*
+
+	insinto /usr/share/fish/vendor_completions.d
+	doins completions/fish/*
+
+	keepdir /var/lib/containers
+}
+
+pkg_preinst() {
+	PODMAN_ROOTLESS_UPGRADE=false
+	if use rootless; then
+		has_version 'app-emulation/podman[rootless]' || PODMAN_ROOTLESS_UPGRADE=true
+	fi
+}
+
+pkg_postinst() {
+	tmpfiles_process podman.conf
+
+	local want_newline=false
+	if [[ ! ( -e ${EROOT%/*}/etc/containers/policy.json && -e ${EROOT%/*}/etc/containers/registries.conf ) ]]; then
+		elog "You need to create the following config files:"
+		elog "/etc/containers/registries.conf"
+		elog "/etc/containers/policy.json"
+		elog "To copy over default examples, use:"
+		elog "cp /etc/containers/registries.conf{.example,}"
+		elog "cp /etc/containers/policy.json{.example,}"
+		want_newline=true
+	fi
+	if [[ ${PODMAN_ROOTLESS_UPGRADE} == true ]] ; then
+		${want_newline} && elog ""
+		elog "For rootless operation, you need to configure subuid/subgid"
+		elog "for user running podman. In case subuid/subgid has only been"
+		elog "configured for root, run:"
+		elog "usermod --add-subuids 1065536-1131071 <user>"
+		elog "usermod --add-subgids 1065536-1131071 <user>"
+		want_newline=true
+	fi
+}


             reply	other threads:[~2021-10-13  3:57 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-13  3:57 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-10  4:44 [gentoo-commits] repo/gentoo:master commit in: app-emulation/podman/ Zac Medico
2021-12-08  4:11 Zac Medico
2021-11-17  2:16 Sam James
2021-11-14  8:38 Sam James
2021-11-13  1:34 Zac Medico
2021-10-28  6:05 Zac Medico
2021-09-09  6:38 Zac Medico
2021-09-09  5:13 Zac Medico
2021-09-09  5:02 Zac Medico
2021-08-17  0:56 Sam James
2021-07-04  6:06 Georgy Yakovlev
2021-06-14 17:39 Zac Medico
2021-04-26 23:32 Zac Medico
2021-04-24 23:40 Zac Medico
2021-02-26  0:27 Zac Medico
2021-02-25 22:09 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1634097461.6e9c5d6021132e680208d532cdfce2e72f3120b4.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox